"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNoopBridge = void 0;
var message = "\nFailed to find a suitable bridge for Heap. All operations will be ignored.\n\nIf using HeapSwiftCore (Apple platforms), ensure you are calling Heap.attachWebView with the appropriate origins.\n".trim();
var createNoopBridge = function () {
    var logged = false;
    return function () {
        if (!logged) {
            logged = true;
            console.warn(message);
        }
        return Promise.resolve(null);
    };
};
exports.createNoopBridge = createNoopBridge;
